Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.modelloader.ms3d
Class VertexMS3D

    java.lang.Object
      de.rico.engine.geometry.modelloader.ms3d.VertexMS3D

    public class VertexMS3D

extends java.lang.Object

A Vertex is a 3D point (x,y,z) along with a 2D texture map point (u,v). It also knows which bone (Joint) it is associated with for animations.

Version:
  0.1
Author:
  naj

Field Summary
`int` | `boneIndex` The index into the array of bones (Joint) in the model.
`int` | `flags` The flags in MS3D.
`float` | `u` The x value of the 2D texture point.
`float` | `v` The y value of the 2D texture point.
`float` | `x` The x value of the 3D point.
`float` | `y` The y value of the 3D point.
`float` | `z` The z value of the 3D point.

Constructor Summary
`VertexMS3D(int flags, float x, float y, float z, float u, float v, int boneIndex)` Creates a Vertex with the given 3D point and texture coordinates, as well as a bone reference if used in animations.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    public int flags

  The flags in MS3D.

### x

    public float x

  The x value of the 3D point.

### y

    public float y

  The y value of the 3D point.

### z

    public float z

  The z value of the 3D point.

### u

    public float u

  The x value of the 2D texture point.

### v

    public float v

  The y value of the 2D texture point.

### boneIndex

    public int boneIndex

  The index into the array of bones (Joint) in the model.

Constructor Detail

### VertexMS3D

    public VertexMS3D(int flags,
                      float x,
                      float y,
                      float z,
                      float u,
                      float v,
                      int boneIndex)

  Creates a Vertex with the given 3D point and texture coordinates, as well as a bone reference if used in animations.

  Parameters:
    `flags` - the flags in MS3D.
    `x` - the x value of the 3D point.
    `y` - the y value of the 3D point.
    `z` - the z value of the 3D point.
    `u` - the x value of the 2D texture point.
    `v` - the y value of the 2D texture point.
    `boneIndex` - the index into the array of bones (Joint) in the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD